using System.Xml.Serialization; // [XmlAttribute]

namespace BibliotekaWspolna;

public class Osoba
{
  public Osoba() { }

  public Osoba(decimal poczatkowaPensja)
  {
    Pensja = poczatkowaPensja;
  }

  [XmlAttribute("imie")]
  public string? Imie { get; set; }

  [XmlAttribute("nazwisko")]
  public string? Nazwisko { get; set; }

  [XmlAttribute("dataUrodzenia")]
  public DateTime DataUrodzenia { get; set; }

  public HashSet<Osoba>? Dzieci { get; set; }

  protected decimal Pensja { get; set; }
}
